<div class="container">
    <h1>Create your account now</h1>
    <form [formGroup]="signupForm" (ngSubmit)="signup()">
        <div class="form-group">
            <label for="username">Username:</label>
            <input type="text" id="username" name="username" formControlName="username">
            <div *ngIf="signupForm.get('username')?.invalid && signupForm.get('username')?.touched">
                <div *ngIf="signupForm.get('username')?.errors?.['required']">
                    <p class="error">Username is required.</p>
                </div>
                <div *ngIf="signupForm.get('username')?.errors?.['minlength']">
                    <p class="error">Username must be at least 6 characters long.</p>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" id="email" name="email" formControlName="email">
            <div *ngIf="signupForm.get('email')?.invalid && signupForm.get('email')?.touched">
                <div *ngIf="signupForm.get('email')?.errors?.['required']">
                    <p class="error">Email is required.</p>
                </div>
                <div *ngIf="signupForm.get('email')?.errors?.['email']">
                    <p class="error">Please enter a valid email address.</p>
                </div>
            </div>
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" id="password" name="password" formControlName="password">
            <div *ngIf="signupForm.get('password')?.invalid && signupForm.get('password')?.touched">
                <div *ngIf="signupForm.get('password')?.errors?.['required']">
                    <p class="error">Password is required.</p>
                </div>
                <div *ngIf="signupForm.get('password')?.errors?.['minlength']">
                    <p class="error">Password must be at least 6 characters long.</p>
                </div>
                <div *ngIf="signupForm.get('password')?.errors?.['pattern']">
                    <p class="error">Password must contain at least one digit and one uppercase letter.</p>
                </div>
            </div>
        </div>
        <button type="submit" mat-raised-button color="primary" [disabled]="!signupForm.valid">Signup</button>
    </form>
    <p>Already a user ? <a routerLink="/login">Log In</a></p>
</div>
